Debian Bug report logs - #723839
ITP: mpfrc++ -- C++ wrapper for the GNU MPFR C library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jerome Benoit <calculus@rezozer.net>

Date: Fri, 20 Sep 2013 10:18:02 UTC

Owned by: Jerome Benoit <calculus@rezozer.net>

Severity: wishlist

Fixed in version mpfrc++/3.5.6+ds-1

Done: Jerome Benoit <calculus@rezozer.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-science@lists.debian.org, wnpp@debian.org:
Bug#723839; Package wnpp. (Fri, 20 Sep 2013 10:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jerome Benoit <calculus@rezozer.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-science@lists.debian.org, wnpp@debian.org. (Fri, 20 Sep 2013 10:18:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jerome Benoit <calculus@rezozer.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: mpfrc++ -- C++ wrapper for the GNU MPFR C library
Date: Fri, 20 Sep 2013 12:15:58 +0200
Package: wnpp
Severity: wishlist
Owner: Jerome Benoit <calculus@rezozer.net>

* Package name    : mpfrc++
  Version         : 2013-09-02
  Upstream Author : Pavel Holoborodko <pavel@holoborodko.com>
* URL             : http://www.holoborodko.com/pavel/mpfr
* License         : GPL
  Programming Lang: C++
  Description     : C++ wrapper for the GNU MPFR C library

MPFR C++ introduces new C++ type for high precision floating point
numbers, mpreal, which encapsulates low level mpfr_t from MPFR:
all arithmetic and boolean operators (+, -, *, /, >, !=, etc.) are
implemented through operator overloading technique; classical
mathematical functions (sqrt, pow, sin, cos, etc.) are supported too.

TMPFR C++ makes possible to use MPFR calculations in the same simple
way as calculations with numbers of built-in types double or float.



Added blocking bug(s) of 723839: 725227 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Thu, 03 Oct 2013 04:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jerome Benoit <calculus@rezozer.net>:
Bug#723839; Package wnpp. (Sat, 05 Oct 2013 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to calculus@rezozer.net:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jerome Benoit <calculus@rezozer.net>. (Sat, 05 Oct 2013 20:39:04 GMT) Full text and rfc822 format available.

Message #12 received at 723839@bugs.debian.org (full text, mbox):

From: Jerome BENOIT <calculus@rezozer.net>
To: debian-science@lists.debian.org
Cc: 723839@bugs.debian.org
Subject: Re: Fwd: RFS: mpfrc++/0~20130902-1 [ITP #723839]
Date: Sat, 05 Oct 2013 22:03:15 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

thanks for the review.

On 05/10/13 21:15, Bill Allombert wrote:
>> Dear mentors,
>>
>> I am looking for a sponsor for my package "mpfrc++"
>>
>> * Package name    : mpfrc++
>>   Version         : 0~20130902-1
>>   Upstream Author : Pavel Holoborodko <pavel@holoborodko.com>
>> * URL             : http://www.holoborodko.com/pavel/mpfr
>> * License         : GPL2+ or BSD-3-clause
> 
> Are you sure this is the right license ?

License are not my cup of tea.

> 
> The website says:
>   MPFR C++ is free for usage in free projects. If you intend to use it in
> commercial application please contact author for permission.


To be frank, I also noticed the issue, so I asked to the upstream maintainer
to clarify the license of his software library.

He answered that he will but as he seemed overwhelmed I step forward.
After my deposit, he confirmed his wish and will to revisit his policy and
the packaging, but first he has to deal with a project dead line.

> 
> The file mpreal.h says:
>     This library is free software; you can redistribute it and/or
>     modify it under the terms of the GNU Lesser General Public
>     License as published by the Free Software Foundation; either
>     version 2.1 of the License, or (at your option) any later version.
> ...
>     ****************************************************************************
>     Redistribution and use in source and binary forms, with or without
>     modification, are permitted provided that the following conditions
>     are met:
> 
>     1. Redistributions of source code must retain the above copyright
>     notice, this list of conditions and the following disclaimer.
> 
>     2. Redistributions in binary form must reproduce the above copyright
>     notice, this list of conditions and the following disclaimer in the
>     documentation and/or other materials provided with the distribution.
> 
>     3. The name of the author may not be used to endorse or promote products
>     derived from this software without specific prior written permission.
> 
> So I would says LGPL 2.1+ AND BSD-3-clause (and maybe non-commercial).
> 

Ok, I will forward your remarks to the upstream maintainer.

> Other than that, I wonder at the benefit of packaging a single header file
> as a Debian package.

Let say that his software holds in a long C++ header: from a C++ point of view
it makes sense, I guess. 

> 
> Also, everytime you update it, you will need to rebuild the packages that
> Build-Depends on it to keep them up-to-date.

I am aware: I also asked to the upstream maintainer to provide a source tarball
compatible with Debian watch. We are working on it: some appropriate tweaks at
bitbucket.org, where is maintained its mercurial repository, may bring appropriate
material.

As soon as both the License issues are fixed by the upstream maintainer and an
appropriate source tarball is provided, I will revisit accordingly the Debian
package.

Thanks.

Best wishes,
Jerome

> 
> Cheers,
> Bill.
> 
> 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBAgAGBQJSUHB0AAoJEIC/w4IMSybjDLkH/RVsPNadlIC2ZlatLDMMKnGT
71o8UTifAB2cC6eX8rX8YKU5jEr2cxyWn6+JneORa5xFvDrAdOykv3uAnKAmzMxl
P1duLCidkiOtHzb/M5uYcLMYaVF+Hr2295s3yJz+M+WSv1VCfROC2QKA+xdJBt9Q
Og91r6h3cg6+BzJGveWS7AfWOBJI8u7KzjRlUGfA9o1E7VCiDSk8bN6ut7Kfv7os
Hjf+xN7k+C1VmQ7hxjI/qlZT3Os+4tI+RK1Eqt9Tg5KUu6A7lfSXY59bnOeZ4ncv
Xth6lJIle4jeBIERTc4fiNI25BioOQoxEV7eY3IL1HPPDjXdqHGq9TpheZxuAdU=
=WeM9
-----END PGP SIGNATURE-----



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 02 Nov 2013 19:06:06 GMT) Full text and rfc822 format available.

Reply sent to Jerome Benoit <calculus@rezozer.net>:
You have taken responsibility. (Fri, 29 Nov 2013 17:03:16 GMT) Full text and rfc822 format available.

Notification sent to Jerome Benoit <calculus@rezozer.net>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 17:03:16 GMT) Full text and rfc822 format available.

Message #19 received at 723839-close@bugs.debian.org (full text, mbox):

From: Jerome Benoit <calculus@rezozer.net>
To: 723839-close@bugs.debian.org
Subject: Bug#723839: fixed in mpfrc++ 3.5.6+ds-1
Date: Fri, 29 Nov 2013 17:00:07 +0000
Source: mpfrc++
Source-Version: 3.5.6+ds-1

We believe that the bug you reported is fixed in the latest version of
mpfrc++, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 723839@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jerome Benoit <calculus@rezozer.net> (supplier of updated mpfrc++ package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 Oct 2013 19:30:04 +0000
Source: mpfrc++
Binary: libmpfrc++-dev
Architecture: source all
Version: 3.5.6+ds-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Jerome Benoit <calculus@rezozer.net>
Description: 
 libmpfrc++-dev - C++ wrapper for the GNU MPFR C library
Closes: 723839
Changes: 
 mpfrc++ (3.5.6+ds-1) unstable; urgency=low
 .
   * Initial release (Closes: #723839), thanks to the upstream maintainer
     Pavel Holoborodko <pavel@holoborodko.com> for clarifying the upstream
     license policy and for tweaking the upstream Mercurial repository to
     allow minimal debian/{rules,watch} material and a cleaner package.
   * Debianization:
     - debian/copyright in DEP-5 format;
     - debhelper build-dep to >= 9;
     - source format 3.0 (quilt);
     - Standards Version 3.9.4;
     - debian/patches/ patches in DEP-3 format;
     - debian/repack script meant for debian/watch file;
     - debian/watch file, which depends on debian/repack to repack;
     - debian/rules:
       - minimal rules;
       - optional get-orig-source target which relies on uscan to get the
         currently packaged upstream tarball source and to repack it;
       - default target which basically queries packages status with
         uscan, output in DEHS format.
   * Minor fixes and enhancements:
     - example/* :
       - example/example.cpp, system preprocessing directive #include;
       - minimal example/makefile, unnecessary targets were wiped out.
Checksums-Sha1: 
 d26fc482a9b0a4e1f0cd19c6788bfcbba691173f 1336 mpfrc++_3.5.6+ds-1.dsc
 89d9e2c812c5dadb460c5304170cd0b44a1c7318 31120 mpfrc++_3.5.6+ds.orig.tar.gz
 a365c6a08e644bc7eb21701f5230f91069a2b1b8 3540 mpfrc++_3.5.6+ds-1.debian.tar.xz
 4de10db1e2b3636f66ab20cf0315c1fb02a6ee47 20710 libmpfrc++-dev_3.5.6+ds-1_all.deb
Checksums-Sha256: 
 f0129b82eeeda19732fe6cb01c4473447636c4de0e3bcf944e967fb8b3de70d2 1336 mpfrc++_3.5.6+ds-1.dsc
 a4d48251380c880fa46ab51d384a40a15a8389a4396802567d6ae8ad30bd8785 31120 mpfrc++_3.5.6+ds.orig.tar.gz
 8fb1da730fe6d79c0a12e080d5da113da6b62b3e651f266e625039e82eb75a44 3540 mpfrc++_3.5.6+ds-1.debian.tar.xz
 b1493af9d50260b221d372f74a9ca72ffe91fb41a70c12bad06a1c8fb52828b2 20710 libmpfrc++-dev_3.5.6+ds-1_all.deb
Files: 
 2a4e3de21f7d61667a035f47a8354782 1336 math optional mpfrc++_3.5.6+ds-1.dsc
 d2a3d1c944e917929960e732853f111c 31120 math optional mpfrc++_3.5.6+ds.orig.tar.gz
 a427a84bfc7bfaaabff7a3583dcd6fcf 3540 math optional mpfrc++_3.5.6+ds-1.debian.tar.xz
 a8886ad5462ae5e1b78b1de7864b7afb 20710 libdevel optional libmpfrc++-dev_3.5.6+ds-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlJ1IvIACgkQRoAVF6FpbSvrvQCgjVrHNzhziP+uDiuY+9BTMXq3
QOMAn2jYT2b0SwwmGWAOhWWM7zMrZH9B
=YOTG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:32:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:29:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.